import request from '/@/utils/request';

export function workingHoursApi() {
    return {
        // 获取工作时间段列表
        getWorkTimePeriod: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/getWorkTimePeriod`,
                method: 'get'
            });
        },

        //工作时间段分页列表
        postPeriodPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/getWorkTimePeriodByPage?pageSiz`,
                method: 'post',
                data: data
            });
        },

        // 新增工作时间段
        postWorkTimePeriod: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/addWorkTimePeriod`,
                method: 'post',
                data: data
            });
        },

        // 修改工作时间段
        updateWorkTimePeriod: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/updateWorkTimePeriod`,
                method: 'post',
                data: data
            });
        },

        // 删除工作时间段
        deletWorkTimePeriod: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/deletWorkTimePeriod`,
                method: 'post',
                data: data
            });
        },

        // 批量删除
        deleteBatchWorkTimePeriod: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/deleteBatchWorkTimePeriod`,
                method: 'post',
                data: data
            });
        }
    };
}
